#include <stdio.h>
#include <stdlib.h>

int main()
{
    long n,h;
    long s[n+1];
    scanf("%ld%ld",&n,&h);
    for(int i=0;i<n;i++)
    {
        scanf("%ld",&s[i]);
    }
    int i2=-1;
    for(int i=0;i<n;i++)
    {
        if(h>=s[i])
           {
               i2=i+1;
                break;
           }
    }
    printf("%d",i2);
}